AFNI Message Board

History of AFNI updates  

|
June 03, 2022 01:11PM
Hi,

Here are a few things you can try:

For gfortran you can install a version that R 3.6 uses.
Run this at the terminal:
curl -s -L -o gfortran-6.1.pkg "https://cloud.r-project.org/bin/macosx/tools/gfortran-6.1.pkg"
sudo installer -pkg gfortran-6.1.pkg -target /
rm gfortran-6.1.pkg

You need this to your path before you try to use it
/usr/local/gfortran/bin

For 3dMVM, you need afex. Try to install it directly using this at the terminal:
Rscript -e "install.packages(c('afex'),repos='https://cloud.r-project.org')"

You also may need cmake, but I am not certrain for afex.
If you do need it, you can install it with homebrew:
brew install cmake

Let me know how it goes!

Thanks, Justin
Subject Author Posted

Mac R package install error

JW May 30, 2022 11:39AM

Re: Mac R package install error

rick reynolds May 30, 2022 09:00PM

Re: Mac R package install error

JW May 31, 2022 10:39AM

Re: Mac R package install error

Gang May 31, 2022 11:40AM

Re: Mac R package install error

JW May 31, 2022 05:19PM

Re: Mac R package install error

rick reynolds May 31, 2022 08:59PM

Re: Mac R package install error

rick reynolds June 01, 2022 04:54PM

Re: Mac R package install error

JW June 02, 2022 01:38PM

Re: Mac R package install error

discoraj June 03, 2022 01:11PM

Re: Mac R package install error

JW June 07, 2022 06:24PM

Re: Mac R package install error

discoraj June 08, 2022 12:58PM

Re: Mac R package install error

JW June 10, 2022 11:26AM

Re: Mac R package install error

discoraj June 10, 2022 12:21PM



Sorry, only registered users may post in this forum.

Click here to login